/********************************************************************\
 * Data.h -- the main data structure of the program                 *
 * Copyright (C) 1997 Robin D. Clark                                *
 * Copyright (C) 1997 Linas Vepstas                                 *
 *                                                                  *
 * This program is free software; you can redistribute it and/or    *
 * modify it under the terms of the GNU General Public License as   *
 * published by the Free Software Foundation; either version 2 of   *
 * the License, or (at your option) any later version.              *
 *                                                                  *
 * This program is distributed in the hope that it will be useful,  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    *
 * GNU General Public License for more details.                     *
 *                                                                  *
 * You should have received a copy of the GNU General Public License*
 * along with this program; if not, write to the Free Software      *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 *                                                                  *
 *   Author: Rob Clark                                              *
 * Internet: rclark@cs.hmc.edu                                      *
 *  Address: 609 8th Street                                         *
 *           Huntington Beach, CA 92648-4632                        *
\********************************************************************/

#ifndef __ACCOUNTS_H__
#define __ACCOUNTS_H__

#include "Account.h"

/** STRUCTS *********************************************************/
typedef struct _data {
  /* The flags: */
  unsigned int saved : 1;
  unsigned int new   : 1;
  
  /* Put whatever options here */
  
  int      numAcc;                 /* number of accounts in array */
  Account  **account;              /* array of account pointers   */
} Data;

/** PROTOTYPES ******************************************************/
Data    *mallocData( void );
void    freeData( Data *data );
Account *getAccount( Data *data, int num );
Account *removeAccount( Data *data, int num );
int     insertAccount( Data *data, Account *acc );
Account *xaccGetPeerAccountFromID (Account *, int);

/** GLOBALS *********************************************************/


#endif
